Loading...
Searching...
No Matches
apr_strmatch_pattern Struct Reference
APR Utility Functions » String matching routines

`#include <apr_strmatch.h>`

## Data Fields

const char *(* | compare )(const apr_strmatch_pattern *this_pattern, const char *s, apr_size_t slen)
const char * | pattern
apr_size_t | length
void * | context

## Detailed Description

Precompiled search pattern

## Field Documentation

## compare

const char *(* apr_strmatch_pattern::compare) (const apr_strmatch_pattern *this_pattern, const char *s, apr_size_t slen)

Function called to compare

## context

void* apr_strmatch_pattern::context

hook to add precomputed metadata

## length

apr_size_t apr_strmatch_pattern::length

Current length

## pattern

const char* apr_strmatch_pattern::pattern

Current pattern

The documentation for this struct was generated from the following file:

- apr_strmatch.h